<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>List Dokumen</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Form</h5>
                                        <span class="h2 font-weight-bold mb-0">Dokumen </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">

        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="card shadow small">
                    <form th:action="@{/dokumen/save}" method="post" th:object="${dokumen}" enctype="multipart/form-data">
                        <div class="card-header">
                            <div class="row align-items-center">
                                <div class="col">
                                    <h3 class="mb-0">Form Dokumen</h3>
                                </div>
                                <div class="col text-right">
                                    <a th:href="@{/dokumen}" class="btn btn-sm btn-default"><i class="fas fa-plus-circle"></i> Kembali</a>
                                </div>
                            </div>
                        </div>
                        <div class="card-body border-0">

                            <div class="form-group">
                                <label>Deskripsi</label>
                                <input type="text" class="form-control" name="deskripsi" th:field="*{deskripsi}">
                                <p th:if="${#fields.hasErrors('deskripsi')}" th:errors="*{deskripsi}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="form-group">
                                <label>Start Date</label>
                                <input type="date" name="startDate" th:field="*{startDate}" class="form-control"  placeholder="ex : 12121">
                                <p th:if="${#fields.hasErrors('startDate')}" th:errors="*{startDate}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="form-group">
                                <label>End Date</label>
                                <input type="date" name="endDate" th:field="*{endDate}" class="form-control"  placeholder="ex : 12121">
                                <p th:if="${#fields.hasErrors('endDate')}" th:errors="*{endDate}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="form-group">
                                <label>File</label>
                                <input type="file" name="fileUpload" id="fileUpload" class="form-control bg-transparent te"
                                       accept=".jpeg,.jpg,.gif,.png,.pdf,.doc,.docx,.xls,.xlsx,.ppt">
                                <p th:if="${erorfile != null}" th:text="${erorfile}" class="text-danger"> Mata Anggaran Error</p>
                            </div>


                            <div class="form-group">
                                <label>Akses</label>
                                <select class="form-control" id="select2-prodi" multiple="multiple"
                                        style="width: 100%!important;" name="dosen"  th:field="*{prodis}">
                                    <option value=""></option>
                                    <option th:each="data: ${listProdi}"
                                            th:text="${data.namaProdi}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                                <p th:if="${#fields.hasErrors('prodis')}" th:errors="*{prodis}" class="text-danger"> Mata Anggaran Error</p>
                                <br>
                                <br>
                                <select class="form-control" id="select2-angkatan" multiple="multiple"
                                        style="width: 100%!important;" name="dosen"  th:field="*{angkatans}">
                                    <option value=""></option>
                                    <option th:each="data: ${listAngkatan}"
                                            th:text="${data.getAngkatan()}"
                                            th:value="${data.getAngkatan()}">sdasd</option>
                                </select>
                                <p th:if="${#fields.hasErrors('angkatans')}" th:errors="*{angkatans}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

<!--                            <div class="form-group">-->
<!--                                <label>Dosen</label>-->
<!--                                <select class="form-control js-example-placeholder-single select-multiple" id="select2-angkatan" multiple="multiple"-->
<!--                                        style="width: 100%!important;" name="dosen"  th:field="*{angkatans}">-->
<!--                                    <option value=""></option>-->
<!--                                    <option th:each="data: ${listAngkatan}"-->
<!--                                            th:text="${data.getAngkatan()}"-->
<!--                                            th:value="${data.getAngkatan()}">sdasd</option>-->
<!--                                </select>-->
<!--                                <p th:if="${#fields.hasErrors('angkatans')}" th:errors="*{angkatans}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->

                        </div>

                        <input type="hidden" name="id" th:field="*{id}">
                        <div class="card-footer">
                            <input type="submit" class="btn btn-primary pull-right btn-sm" value="Simpan">
                        </div>
                    </form>
                </div>

            </div>
        </div>

    </div>
</div>
</body>
</html>
<script>
    $(".js-example-placeholder-single").select2({
        placeholder: "Pilih Salah Satu",
        allowClear: true
    });

    (function($){
        $('#select2-ruangan').select2();

        $('#select2-ruangan').on('select2:selecting', function(e) {
            console.log('Selecting: ' , e.params.args.data.id);
            $('#isiRuangan').val(e.params.args.data.id);
        });

        $('#select2-prodi').select2();

        $('#select2-angkatan').select2();

        $('#select2-hari').on('select2:selecting', function(e) {
            console.log('Selecting: ' , e.params.args.data.id);
            $('#isiHari').val(e.params.args.data.id);
        });

        $('#select2-dosen').select2();

        $('#select2-dosen').on('select2:selecting', function(e) {
            console.log('Selecting: ' , e.params.args.data.id);
            $('#idDosen').val(e.params.args.data.id);
        });

        if ($('#sesii').val() != null){
            let dropdown = $('#locality-dropdown');

            dropdown.empty();

            dropdown.append('<option selected="true" disabled>Pilih Sesi</option>');
            dropdown.prop('selectedIndex', 0);
            console.log($('#isiRuangan').val())
            var url = '/akademik/validasi-sesi/'+$('#id').val()+'?tahun='+$('#tahun').val()+'&hari='+$('#isiHari').val()+'&sks='+$('#sks').val()+'&ruangan='+$('#isiRuangan').val()+'&kelas='+$('#isiPlotKelas').val()+'&dosen='+$('#idDosen').val();

            $.getJSON(url, function (data) {

                $.each(data, function (key, entry) {
                    if (entry.bentrok == null){
                        dropdown.append($('<option></option>').attr('value', entry.idSesi).text(entry.namaSesi + ' ( ' + entry.mulai + ' - ' +entry.selesai + ' )'));
                    }else {
                        dropdown.append($('<option disabled title="'+ entry.bentrok + ' ( '+ entry.dosen + ' - ' + entry.matkul + ')' + '" ></option>').attr('value', entry.idSesi).text(entry.namaSesi + ' ( ' + entry.mulai + ' - ' +entry.selesai + ' )'));
                    }
                })
            });

            waktu()
        }

    })(jQuery);

    function mySesi() {
        let dropdown = $('#locality-dropdown');

        dropdown.empty();

        dropdown.append('<option selected="true" disabled>Pilih Sesi</option>');
        dropdown.prop('selectedIndex', 0);
        console.log($('#isiRuangan').val())
        var url = '/akademik/validasi-sesi/'+$('#id').val()+'?tahun='+$('#tahun').val()+'&hari='+$('#isiHari').val()+'&sks='+$('#sks').val()+'&ruangan='+$('#isiRuangan').val()+'&kelas='+$('#isiPlotKelas').val()+'&dosen='+$('#idDosen').val();
        // const url = '/api/sesi?idHari='+$('#isiHari').val()+'&idRuangan='+$('#isiRuangan').val()+'&sks='+$('#sks').val()+'&kelas='+$('#isiPlotKelas').val()+'&dosen='+$('#idDosen').val();

        $.getJSON(url, function (data) {

            $.each(data, function (key, entry) {
                if (entry.bentrok == null){
                    dropdown.append($('<option></option>').attr('value', entry.idSesi).text(entry.namaSesi + ' ( ' + entry.mulai + ' - ' +entry.selesai + ' )'));
                }else {
                    dropdown.append($('<option disabled title="'+ entry.bentrok + ' ( '+ entry.dosen + ' - ' + entry.matkul + ')' + '" ></option>').attr('value', entry.idSesi).text(entry.namaSesi + ' ( ' + entry.mulai + ' - ' +entry.selesai + ' )'));
                }
            })
        });
    }

    function waktu() {
        var x = document.getElementById("locality-dropdown").value;
        console.log(x);
        const url = '/api/waktu?id='+x;
        $.getJSON(url, function (data) {

            $('#mulai').val(data.jamMulai);
            $('#jamMulai').val(data.jamMulai);
            $('#selesai').val(data.jamSelesai);
            $('#jamSelesai').val(data.jamSelesai);
            $('#isiSesi').val(data.sesi);
            $('#sesii').val(data.id);
            document.getElementById("mulai").value = data.jamMulai;
            document.getElementById("selesai").value = data.jamSelesai;
        });

    }

    function myFunction() {
        let dropdown = $('#locality-dropdown');

        dropdown.empty();

        dropdown.append('<option selected="true" disabled>Pilih Sesi</option>');
        dropdown.prop('selectedIndex', 0);
        console.log($('#isiRuangan').val())
        const url = '/api/sesi?idHari='+$('#isiHari').val()+'&idRuangan='+$('#isiRuangan').val()+'&sks='+$('#sks').val()+'&kelas='+$('#isiPlotKelas').val()+'&dosen='+$('#idDosen').val();

        // Populate dropdown with list of provinces
        $.getJSON(url, function (data) {

            $.each(data, function (key, entry) {
                dropdown.append($('<option></option>').attr('value', entry.id).text(entry.namaSesi));
            })
        });
    }
</script>